@extends('usuarios.funcionarios.master.layout2')
@section('conteudo')


    <div class="d-none">
        @php
            $codigoHistorico=0;
            while(true){
                $codigoHistorico = mt_rand();
                $indLine=\App\Models\LinhaIndexacao::where('codigo',$codigoHistorico)->first();
                if($indLine){
                    
                }else{
                    break;
                }
                
            }
            echo "$codigoHistorico";
        @endphp
        
        {{$clientes=\App\Models\Cliente::get()}}
        {{$tecnicoIndexadors=\App\Models\User::join('funcionarios','funcionarios.user_id','=','users.id')->where('funcionarios.sector_id',4)->select('users.*')->get()}}
    </div>

    <nav class="container p-3">
        <nav class="row p-5">
            <div class="col-12 text-center">
                <i class="fa fa-edit fa-2x"></i>
                <h1 class="text-center">Plano de tarefas</h1>
                <h4 class="text-center"> + Referências de caixas</h4> 
                <br>
                <br><br>
                <form id="formCadPlanoTarefa" class="row text-start">
                    
                    
                    <nav class="col-6  mb-3">
                        <label for="exampleDataList" class="form-label">Código da referência</label>
                        <input type="text" class="form-control" id="Codigo" value="{{$codigoHistorico}}" readonly>
                    </nav>
                    <nav class="col-6  mb-3">
                        <label for="exampleDataList" class="form-label">Cliente</label>
                        <select  class="form-control" id="Cliente">
                          <option value="0" style="display:none">Escolha o cliente</option>
                            @foreach($clientes as $cliente)
                            <option value="{{$cliente->id}}">{{$cliente->getUser->getPessoa->nome}} ({{$cliente->getUser->name}})</option>
                            
                            @endforeach
                         
                        </select>
                    </nav>
                    <nav class="col-3 mb-3">
                        <label for="exampleDataList" class="form-label">Técnico indexador</label>
                        <select  class="form-control" id="Tecnico">
                            @foreach($tecnicoIndexadors as $tecnicoIndexador)
                          <option value="{{$tecnicoIndexador->id}}">{{$tecnicoIndexador->getPessoa->nome}} </option>
                            
                            @endforeach
                         
                        </select>
                    </nav>
                     <nav class="col-3 mb-3">
                        <label for="exampleDataList" class="form-label">Data</label>
                        <input class="form-control" type="date" id="Data" required >
                        
                    </nav>
                    <nav class="col-2 mb-3">
                        <label for="exampleDataList" class="form-label">Número de caixas</label>
                        <input class="form-control" id="numCaixas" type="number" required min="1">
                        
                    </nav>
                     <nav class="col-2 mb-3">
                        <label for="exampleDataList" class="form-label">Número de caixa inicial</label>
                        <input class="form-control" id="numInicial" type="number" readonly required min="0">
                        
                    </nav>
                     <nav class="col-2 mb-3">
                        <label for="exampleDataList" class="form-label">Número de caixa final</label>
                        <input class="form-control" id="numFinal" type="number" readonly required min="0" >
                        
                    </nav>
                    <nav class="col-4 ">
                       
                        
                        <label for="exampleDataList" class="form-label">Série documental</label>
                        <select  class="form-control" id="serieDoc" required>
                           <option value="0">Sem serie documental</option>
                         
                        </select>
                    </nav>
                    <nav class="col-4">
                        <label for="exampleDataList" class="form-label">Orgão de estrutura</label>
                        <select  class="form-control" id="OE" required>
                           
                        </select>
                    </nav>
                    <nav class="col-4">
                        <label for="exampleDataList" class="form-label">Departamento</label>
                         <select  class="form-control" id="dep" required>
                           
                         
                        </select>
                    </nav>
                    
                    <nav class="col-12 mt-3">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="flexCheckDefault">
                            <label for="flexCheckDefault" id="lblFlexibilizar" class="form-label"  data-bs-toggle="tooltip" data-bs-placement="top" title=" Flexibilizar verificação do intervalo numérico da serie documental e o intervalo ilustrado">Flexibilizar verificação</label>
                         
                        </div>
                    </nav>
                    <nav class="text-end">
                         <br><br>
                        <button class="btn btn-success btn-sm"><i class="fa fa-plus"></i> Cadastrar</button>
                    </nav>
                </form>
            </div>
            
        </nav>
    </nav>
    
    
    
    <script>
        $(function(){
            
            var exampleEl = document.getElementById('lblFlexibilizar')
           var tooltip = new bootstrap.Tooltip(exampleEl, {
              boundary: document.body // or document.querySelector('#boundary')
            })
            
            $("#formCadPlanoTarefa").submit(function(e){
                e.preventDefault();
                let Codigo= $("#Codigo").val();
                let Cliente= $("#Cliente").val();
                let Tecnico= $("#Tecnico").val();
                let Data= $("#Data").val();
                let numInicial= $("#numInicial").val();
                let numFinal= $("#numFinal").val();
                let serieDoc= $("#serieDoc").val();
                let OE= $("#OE").val();
                let dep= $("#dep").val();
                let Quantidade=$("#numCaixas").val();
                
                let Flexibilizar= $("#flexCheckDefault").is(':checked');
                $.post( "{{ route('us.servext.planoaccao.add.plano') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'numerodacaixa':numInicial,
                    'numerodecaixafinal':numFinal,
                    'data':Data,
                    'flexibilizacao':Flexibilizar,
                    'tipoindexacao':'NORMAL',
                    'codigo':Codigo,
                    'departamento_id':dep,
                    'funcionario_id':Tecnico,
                    'seriedocumental_id':serieDoc,
                    'cliente_id':Cliente,
                    'autor':'GESTDOC',
                    'Quantidade':Quantidade,
                    
                },
                function(data){
         
                    if(data==1){
                        
                        const Toast = Swal.mixin({
                            toast: true,
                            position: 'top-end',
                            showConfirmButton: false,
                            timer: 3000,
                            timerProgressBar: true,
                            didOpen: (toast) => {
                                toast.addEventListener('mouseenter', Swal.stopTimer)
                                toast.addEventListener('mouseleave', Swal.resumeTimer)
                            }
                        })
    
                        Toast.fire({
                            icon: 'success',
                            title: 'Plano de tarefa criado com sucesso'
                        })
                        
                        location.reload(true);
                        
                    }
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            });
            
            $("#OE").change(function(){
                $.post( "{{ route('us.servext.indexacao.return.deps') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'orgao_id':$(this).val() 
                },
                function(data){
        
                    $("#dep").empty();
                    $("#dep").append(data);
                    
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            }); 
            
            $("#numCaixas").on('keypress change keyup keydown',function() {
                let quantidade=$(this).val();
                if (quantidade>0){
                    
                }else{
                    quantidade=0;
                }
                $.post( "{{ route('us.servext.indexacao.return.cxs.dispo') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'cliente_id':$("#Cliente").val() 
                },
                function(data){
                    
                    let inicial=parseInt(data);
                    let final=parseInt(inicial)+parseInt(quantidade)-1
                     
                    $("#numInicial").val(inicial);
                    $("#numFinal").val(final);
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            });
            $("#Cliente").change(function(){ 
                $("#dep").empty();
                $.post( "{{ route('us.servext.planoaccao.get.serie.doc.clie') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'cliente_id':$(this).val() 
                },
                function(data){
                    
                    $("#serieDoc").empty();
                    $("#serieDoc").append("<option value=\"0\">Sem serie documental</option>");
                    $("#serieDoc").append(data);
                    
                        
                    $("#numInicial").val("");
                    $("#numFinal").val("");
                    $("#numCaixas").val("");
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
                
                
                $.post( "{{ route('us.servext.planoaccao.get.oes.clie') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'cliente_id':$(this).val() 
                },
                function(data){
        
                    $("#OE").empty();
                    $("#OE").append('<option value="0" style="display:none">Escolha o orgão de estrutura</option>');
                    $("#OE").append(data);
                    
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            });
        })
    </script>
@endsection